# coding: utf-8

import os
from distutils.core import setup


VERSION = '1.0.3'


def read_file(name):
    with open(os.path.join(os.path.dirname(__file__), name)) as fd:
        return fd.read()


setup(
    name="edufsin",
    version=VERSION,
    url="https://stash.bars-open.ru/projects/EDUBASE/repos/edufsin/browse",
    author='Bars Group',
    author_email='edu@bars-open.ru',
    packages=['edufsin'],
    install_requires=(
        "m3-objectpack>=2.1.4,<3.0",
        "m3-spyne-smev>=0.1.15",
        "suds>=0.4,<1; python_version == '2.7'",
        "suds-py3>=1.3.3.0,<2; python_version > '2.7'",
    ),
    classifiers=[
        'Development Status :: 5 - Production/Stable'
        'Environment :: Web Environment',
        'Operating System :: OS Independent',
        'Intended Audience :: Developers',
        'Natural Language :: Russian',
        'Programming Language :: Python',
        'Topic :: Utilities'
    ],
)
